## python-ibm-cloud-sdk-core 3.16.0

=== requirements.txt ===
requests>=2.26.0,<3.0.0
urllib3>=1.26.0,<2.0.0
python_dateutil>=2.5.3,<3.0.0
PyJWT>=2.4.0,<3.0.0

## python-ibm-cloud-sdk-core 1.6.0

=== debian/changelog ===
python-ibm-cloud-sdk-core (1.6.0-1) unstable; urgency=low

  * New upstream release.
  * Add debian/gbp.conf.

 -- Michael Fladischer <fladi@debian.org>  Sun, 29 Dec 2019 17:01:36 +0100

python-ibm-cloud-sdk-core (1.5.1-1) unstable; urgency=low

  * Initial release (Closes: #945781).

 -- Michael Fladischer <fladi@debian.org>  Thu, 28 Nov 2019 16:02:50 +0100

=== debian/control ===
Source: python-ibm-cloud-sdk-core
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-dateutil,
 python3-jwt,
 python3-requests,
 python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://github.com/IBM/python-sdk-core/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ibm-cloud-sdk-core
Vcs-Git: https://salsa.debian.org/python-team/modules/python-ibm-cloud-sdk-core.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-ibm-cloud-sdk-core
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Client library for the IBM Cloud services (Python3 version)
 This project contains the core functionality used by Python SDK's generated by
 the IBM OpenAPI 3 SDK Generator (openapi-sdkgen). Python code generated by
 openapi-sdkgen will depend on the function contained in this project.
 .
 It supports the following types of authentication:
  * Basic Authentication
  * Bearer Token
  * Identity and Access Management (IAM)
  * Cloud Pak for Data
  * No Authentication
 .
 This package contains the Python 3 version of the library.

## python-ibm-cloud-sdk-core 1.6.2

=== debian/changelog ===
python-ibm-cloud-sdk-core (1.6.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.5.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 24 Feb 2020 21:39:02 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-jwt,
  python3-requests,
  python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/IBM/python-sdk-core/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ibm-cloud-sdk-core
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-ibm-cloud-sdk-core.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=ibm-cloud-sdk-core
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ibm-cloud-sdk-core/ibm-cloud-sdk-core-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ibm-cloud-sdk-core 3.12.0

=== debian/changelog ===
python-ibm-cloud-sdk-core (3.12.0-2) unstable; urgency=low

  * Prevent installation of pytest cache artifacts.

 -- Michael Fladischer <fladi@debian.org>  Sat, 06 Nov 2021 23:14:19 +0000

python-ibm-cloud-sdk-core (3.12.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Add patch to not install test packages.
  * Clean up ibm_cloud_sdk_core.egg-info/top_level.txt to allow two
    builds in a row.
  * Add python3-pytest and python3-responses to Build-Depends.
  * Run upstream tests during build (and skip those that require
    credentials).
  * Install testfiles using d/pybuild.testfiles.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Sat, 06 Nov 2021 23:01:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: python-ibm-cloud-sdk-core
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-dateutil,
  python3-jwt,
+ python3-pytest,
+ python3-responses,
  python3-requests,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/IBM/python-sdk-core/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ibm-cloud-sdk-core
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-ibm-cloud-sdk-core.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ibm-cloud-sdk-core
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-ibm-cloud-sdk-core.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## python-ibm-cloud-sdk-core 3.16.0

=== debian/changelog ===
python-ibm-cloud-sdk-core (3.16.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.0.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Depend on python3-all for autopkgtests.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Wed, 05 Oct 2022 13:33:25 +0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
  python3-dateutil,
  python3-jwt,
  python3-pytest,
+ python3-requests,
  python3-responses,
- python3-requests,
  python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/IBM/python-sdk-core/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ibm-cloud-sdk-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ibm-cloud-sdk-core.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=ibm-cloud-sdk-core
export PYBUILD_TEST_ARGS=test \
	-k "\
	not test_cwd and \
	not test_iam and \
	not test_gzip_compression_external and \
	not test_retry_config_external and \
	not test_files_dict and \
	not test_files_duplicate_parts and \
	not test_configure_service and \
	not test_request_token_auth_default and \
	not test_request_token_auth_in_ctor and \
	not test_request_token_auth_in_ctor_with_scope and \
	not test_get_token_success and \
	not test_request_token_success and \
	not test_authenticate_success and \
	not test_authenticate_fail_iam and \
	not test_client_id_and_secret and \
	not test_setter_methods and \
	not test_retrieve_cr_token_success and \
	not test_get_authenticator_from_credential_file and \
	not test_get_authenticator_from_credential_file_scope and \
	not test_read_external_sources_2 and \
	not test_files_list\
	"
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.pytest_cache

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ibm-cloud-sdk-core/ibm-cloud-sdk-core-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ibm-cloud-sdk-core 3.16.7

=== requirements.txt ===
requests>=2.31.0,<3.0.0
urllib3>=1.26.0,<2.0.0
python_dateutil>=2.5.3,<3.0.0
PyJWT>=2.4.0,<3.0.0

=== debian/changelog ===
python-ibm-cloud-sdk-core (3.16.7-1) unstable; urgency=medium

  * New upstream version 3.16.7
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.
  * Refresh patches.
  * Build using pybuild-plugin-pyproject.

 -- Michael Fladischer <fladi@debian.org>  Wed, 21 Jun 2023 18:57:27 +0000

## python-ibm-cloud-sdk-core 3.18.2

=== debian/changelog ===
python-ibm-cloud-sdk-core (3.18.2-1) unstable; urgency=low

  [ Yogeswaran Umasankar ]
  * Team upload.
  * New upstream version 3.18.2.
  * Patch for autopkgtests with Python 3.12. Includes place holder
    for changing abstract class with concrete class
    in JWTTokenManager and TokenManager. And set backoff_max separately
    in ibm_cloud_sdk_core/base_service.py. (Closes: #1058310)
  * Updated d/tests/upstream & rules for new upstream tests. (Closes:
    #1056474)
  * Added d/source/options.

 -- Michael Fladischer <fladi@debian.org>  Sat, 13 Jan 2024 14:24:52 +0000

## python-ibm-cloud-sdk-core 3.19.2

=== requirements.txt ===
requests>=2.31.0,<3.0.0
urllib3>=2.1.0,<3.0.0
python_dateutil>=2.8.2,<3.0.0
PyJWT>=2.8.0,<3.0.0

=== debian/changelog ===
python-ibm-cloud-sdk-core (3.19.2-1) unstable; urgency=low

  * New upstream version 3.19.2
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 Mar 2024 11:40:20 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-dateutil,
  python3-jwt,
@@ -14,7 +15,7 @@
  python3-requests,
  python3-responses,
  python3-setuptools,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/IBM/python-sdk-core/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ibm-cloud-sdk-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ibm-cloud-sdk-core.git

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	not test_configure_service and \
 	not test_request_token_auth_default and \
 	not test_request_token_auth_in_ctor and \
-	not test_request_token_auth_in_ctor_with_scope and \
 	not test_get_token_success and \
 	not test_request_token_success and \
 	not test_authenticate_success and \
@@ -24,10 +23,11 @@
 	not test_setter_methods and \
 	not test_retrieve_cr_token_success and \
 	not test_get_authenticator_from_credential_file and \
-	not test_get_authenticator_from_credential_file_scope and \
 	not test_read_external_sources_2 and \
 	not test_files_list\
 	"
+#Disabled tests needing upstream missing env files & external server connection.
+
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.pytest_cache
 
 %:

## python-ibm-cloud-sdk-core 3.24.2

=== Makefile ===
# This makefile is used to make it easier to get the project set up
# to be ready for development work in the local sandbox.
# example: "make setup"

PYTHON=python3
LINT=black
LINT_DIRS=ibm_cloud_sdk_core test test_integration

setup: deps dev-deps install-project

all: upgrade-pip setup test-unit lint

ci: all

publish-release: publish-deps build-dist publish-dist

upgrade-pip:
	${PYTHON} -m pip install --upgrade pip

deps:
	${PYTHON} -m pip install .

dev-deps:
	${PYTHON} -m pip install .[dev]

detect-secrets:
	detect-secrets scan --update .secrets.baseline
	detect-secrets audit .secrets.baseline

publish-deps:
	${PYTHON} -m pip install .[publish]

install-project:
	${PYTHON} -m pip install -e .

test-unit:
	${PYTHON} -m pytest --cov=ibm_cloud_sdk_core test

lint:
	${PYTHON} -m pylint ${LINT_DIRS}
	${LINT} --check ${LINT_DIRS}

lint-fix:
	${LINT} ${LINT_DIRS}

build-dist:
	rm -fr dist
	${PYTHON} -m build

# This target requires the TWINE_PASSWORD env variable to be set to the user's pypi.org API token.
publish-dist:
	TWINE_USERNAME=__token__ ${PYTHON} -m twine upload --non-interactive --verbose dist/*

=== debian/changelog ===
python-ibm-cloud-sdk-core (3.24.2-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Switch to v5, and use GitHub rather than PyPI.
  * New upstream release.
  * Drop compatibility with urllib3 1.x; Debian 13 (trixie) has 2.3.0.
  * Adjust tests to run on Python 3.14 (closes: #1123255).
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Use dh-sequence-python3.

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Jan 2026 12:33:02 +0000

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-dateutil,
  python3-jwt,
  python3-pytest,
- python3-requests,
+ python3-requests (>= 2.32.4),
  python3-responses,
  python3-setuptools,
+ python3-urllib3 (>= 2.4.0),
 Standards-Version: 4.6.2
 Homepage: https://github.com/IBM/python-sdk-core/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ibm-cloud-sdk-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ibm-cloud-sdk-core.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-ibm-cloud-sdk-core
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=ibm-cloud-sdk-core
export PYBUILD_TEST_ARGS=test \
	-k "\
	not test_tls_v1_2\
	"
#Disabled tests needing external server connection.

export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.pytest_cache

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: GitHub
Owner: IBM
Project: python-sdk-core
